<template>
    <div>
        <breadcrumb-component title="Grades/Variações" :pages="breadPages"/>

        <panel-component title="Editar Grades/Variações" length="8">

            <form-grid :formData="formData" :isUpdate="true"></form-grid>

        </panel-component>
    </div>
</template>

<script>
    import FormGridComponent from './FormGridComponent'

    export default {
        props: {
            id: {
                require: true
            }
        },

        components: {
            FormGrid: FormGridComponent
        },

        data() {
            return {
                formData: {
                    name: '',
                    variations: [
                        {name: ''},
                    ]
                },

                breadPages: [
                    {link: 'dashboard', name: 'Dashboard', active: false},
                    {link: 'grids', name: 'Grades/variações', active: false},
                    {link: 'grids.edit', name: 'Editar', active: true},
                ]
            }
        },

        created() {
            this.$store.dispatch('loadGrid', this.id)
                .then(response => {
                    this.formData = response.grid
                })
                .catch(() => {
                    this.$snotify.error('Grade não encontrada', '404')
                    this.$router.push({name: 'grids'})
                })
        }
    }
</script>